Bug 1312343 - [DOCS] specify minimal supported number of masters/nodes
[DOCS] specify minimal supported number of masters/nodes
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Michael Burke
Johnny Liu
Vikram Goyal
https://access.redhat.com/documentati...
3.7-release-plan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-26 08:36 EST by Evgheni Dereveanchin
Modified: 2017-11-29 13:16 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-29 13:16:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evgheni Dereveanchin 2016-02-26 08:36:18 EST
Document URL: 
 https://access.redhat.com/documentation/en/openshift-enterprise/3.1/installation-and-configuration/chapter-2-installing#prerequisites-1
Section Number and Name: 
 2.2.2. System Requirements
Describe the issue: 
 Documentation describes minimal hardware required for a master or node however there is no mention of the minimal number of masters/nodes in a supported environment, or whether all of these components can co-exist on a single node
Suggestions for improvement: 
 provide details about minimal number of masters/hosts and supportability of all-in-one environments
Comment 9 Michael Burke 2017-11-02 15:10:45 EDT
@Evgheni --

Does this new section satisfy your issue?

https://docs.openshift.com/container-platform/3.6/install_config/install/planning.html#environment-scenarios

Michael
Comment 10 Evgheni Dereveanchin 2017-11-13 10:05:52 EST
Hi Michael,

The new section provides good environment examples, however there is no guidance on why one should be chosen over the other. Also, the question from #0 is not answered: are all-in-one environments possible?
Comment 11 Michael Burke 2017-11-13 15:58:27 EST
Added new section to https://docs.openshift.com/container-platform/3.6/install_config/install/planning.html#environment-scenarios:

Single Master and Nodes on One System

OpenShift Container Platform can be installed on a single system for a development environment only. 
An _all-in-one environment_ is not considered a production environment. 

Also, added a link back to the Sizing section to help users determine which environment to use.  
Use these scenarios as a basis for planning your own cluster, based on your xref:sizing[sizing] needs.

https://github.com/openshift/openshift-docs/pull/6345/files
Comment 12 Michael Burke 2017-11-16 14:00:28 EST
Jianlin -- Please take a look at what I added.
Comment 13 Johnny Liu 2017-11-16 21:40:49 EST
Most seem good to me, move to "VERIFIED".

One very minor issue, should correct to "Nodes" to "Node", right? also leave a comment in the PR, once fixed, pls merge it directly.
Comment 14 Evgheni Dereveanchin 2017-11-20 08:00:44 EST
Thanks for updating the doc, Michael.  Looks good to me!

Note You need to log in before you can comment on or make changes to this bug.